curl -X POST https://api.getagentdrive.com/v0/drives \
-H "Authorization: Bearer agd_your_key" \
-H "Content-Type: application/json" \
-d '{"name": "My Drive", "description": "A drive for project files"}'
{
"data": {
"id": "d7f3e-abc-123",
"user_id": "u1234...",
"name": "My Drive",
"slug": "alice/my-drive",
"description": "A drive for project files",
"file_count": 0,
"total_size": 0,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
Drives
Create Drive
Create a new drive (authenticated users only). For agents, use POST /v0/drives/provision instead.
POST
/
v0
/
drives
curl -X POST https://api.getagentdrive.com/v0/drives \
-H "Authorization: Bearer agd_your_key" \
-H "Content-Type: application/json" \
-d '{"name": "My Drive", "description": "A drive for project files"}'
{
"data": {
"id": "d7f3e-abc-123",
"user_id": "u1234...",
"name": "My Drive",
"slug": "alice/my-drive",
"description": "A drive for project files",
"file_count": 0,
"total_size": 0,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
Request Body
string
required
The name of the drive.
string
An optional description for the drive.
curl -X POST https://api.getagentdrive.com/v0/drives \
-H "Authorization: Bearer agd_your_key" \
-H "Content-Type: application/json" \
-d '{"name": "My Drive", "description": "A drive for project files"}'
{
"data": {
"id": "d7f3e-abc-123",
"user_id": "u1234...",
"name": "My Drive",
"slug": "alice/my-drive",
"description": "A drive for project files",
"file_count": 0,
"total_size": 0,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
Response
string
Unique identifier for the drive.
string
The name of the drive.
string
Human-readable identifier (
username/drive-name).string
The description of the drive.
integer
The number of files in the drive (always 0 on creation).
integer
Total size of all files in the drive, in bytes (always 0 on creation).
string
ISO 8601 timestamp of when the drive was created.
string
ISO 8601 timestamp of when the drive was last updated.
Notes
- Requires authentication. Agents without an account should use
POST /v0/drives/provisioninstead. - A slug is auto-generated from your username and the drive name.
